'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();
// import reactDocs from 'react-docgen'


var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _ = require('..');

var _2 = _interopRequireDefault(_);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var reactDocs = require('react-docgen');

var ComponentDocs = function () {
	function ComponentDocs(components) {
		_classCallCheck(this, ComponentDocs);

		this.components = components;
		this._ast = null;
	}

	_createClass(ComponentDocs, [{
		key: 'generate',
		value: function generate() {
			var _this = this;

			if (!!this._ast) {
				return this._ast;
			}

			this._ast = [];

			this.components.forEach(function (folder) {
				var files = _fs2.default.readdirSync(folder);
				files.forEach(function (file) {
					var p = _path2.default.join(folder, file),
					    fcontents = _fs2.default.readFileSync(p, 'utf8');

					try {
						var data = reactDocs.parse(fcontents);
						data.name = file.replace('.jsx', '').replace('.js', '');
						_this._ast.push(data);
					} catch (e) {
						console.error(e);
					}
				});
			});

			return this._ast;
		}
	}, {
		key: 'middleware',
		value: function middleware(req, res, next) {
			res.json(this.generate());
		}
	}]);

	return ComponentDocs;
}();

exports.default = ComponentDocs;