'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _reactRelay = require('react-relay');

var _reactRelay2 = _interopRequireDefault(_reactRelay);

var _utils = require('flux/utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Subscriber = function (_ReduceStore) {
	_inherits(Subscriber, _ReduceStore);

	function Subscriber() {
		_classCallCheck(this, Subscriber);

		return _possibleConstructorReturn(this, Object.getPrototypeOf(Subscriber).apply(this, arguments));
	}

	_createClass(Subscriber, [{
		key: 'connect',
		value: function connect() {}
	}, {
		key: 'subscribe',
		value: function subscribe(Subscription) {}
	}, {
		key: 'buildRelayQuery',
		value: function buildRelayQuery(query, args) {
			return _reactRelay2.default.createQuery(query, args);
		}
	}, {
		key: 'handleEvent',
		value: function handleEvent(name, payload) {
			dispatcher.dispatch();
			_reactRelay2.default.Store.getStoreData().handleQueryPayload(buildRelayQuery(query, args), payload);
		}
	}]);

	return Subscriber;
}(_utils.ReduceStore);

exports.default = Subscriber;