"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

/**
 * IoC Container Class
 *
 * @constructor
 */

var Container = function () {
	function Container() {
		_classCallCheck(this, Container);

		this._registry = {};
	}

	_createClass(Container, [{
		key: "make",
		value: function make(name) {}
	}, {
		key: "get",
		value: function get(name) {
			return this._registry[name];
		}
	}, {
		key: "register",
		value: function register(name, inst) {
			this._registry[name] = inst;

			return this;
		}
	}]);

	return Container;
}();

exports.default = new Container();