'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _logger = require('./logger');

var _logger2 = _interopRequireDefault(_logger);

var _reporter = require('./reporter');

var _reporter2 = _interopRequireDefault(_reporter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

var handler = {
	get: function get(target, key) {
		return target[key];
	},
	set: function set(target, key, value) {
		_reporter2.default.report.apply(_reporter2.default, _toConsumableArray(args));
		return target[key] = value;
	}
};

exports.default = new Proxy(_logger2.default, handler);