'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

exports.default = function (req, res, next) {
	res.header('Access-Control-Allow-Origin', '*');
	res.header('Access-Control-Allow-Credentials', true);
	res.header('Access-Control-Allow-Methods', 'POST, GET, PUT, DELETE, HEAD, OPTIONS');
	res.header('Access-Control-Allow-Headers', 'Content-Type, Authorization');

	if (req.method.toLowerCase() === 'options') {
		return res.json('');
	}

	next();
};