'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = browserify;

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _browserify = require('browserify');

var _browserify2 = _interopRequireDefault(_browserify);

var _config = require('../config');

var _config2 = _interopRequireDefault(_config);

var _gulp = require('gulp');

var _gulp2 = _interopRequireDefault(_gulp);

var _gulpUtil = require('gulp-util');

var _gulpUtil2 = _interopRequireDefault(_gulpUtil);

var _vinylSourceStream = require('vinyl-source-stream');

var _vinylSourceStream2 = _interopRequireDefault(_vinylSourceStream);

var _watchify = require('watchify');

var _watchify2 = _interopRequireDefault(_watchify);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _config$get = _config2.default.get('browserify');

var dest = _config$get.dest;
var filename = _config$get.filename;
var opts = _config$get.opts;


var bundler = (0, _watchify2.default)((0, _browserify2.default)(_lodash2.default.assign({}, _watchify2.default.args, opts)));

bundler.on('update', browserify);
bundler.on('log', _gulpUtil2.default.log);

function browserify() {
	return bundler.bundle().on('error', _gulpUtil2.default.log.bind(_gulpUtil2.default, 'Browserify Error')).pipe((0, _vinylSourceStream2.default)(filename)).pipe(_gulp2.default.dest(dest));
}