'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

/**
 * Service Provider
 * 
 * register service for the application
 */

var ServiceProvider = function () {

	/**
  * Constructor
  *
  * @constructor
  */

	function ServiceProvider() {
		_classCallCheck(this, ServiceProvider);

		this.register();
	}

	/**
  * Register Services
  * this is called on initialization
  * 
  * @return {null}
  */


	_createClass(ServiceProvider, [{
		key: 'register',
		value: function register() {
			throw new Error('The register method must be defined for all Service Providers.');
		}

		/**
   * Boot Method
   * this method is called after all Service Containers have
   * already ran their `register` method
   * 
   * @return {null}
   */

	}, {
		key: 'boot',
		value: function boot() {}
	}]);

	return ServiceProvider;
}();

exports.default = ServiceProvider;