'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _ = require('..');

var _2 = _interopRequireDefault(_);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var Query = function () {
	function Query(Model) {
		_classCallCheck(this, Query);

		this.Model = Model;
		this.db = _2.default.db;
		this.query = null;
	}

	_createClass(Query, [{
		key: 'table',
		value: function table(_table) {
			this.query = this.db(_table);
			return this;
		}
	}, {
		key: 'where',
		value: function where() {
			var _query;

			this.query = (_query = this.query).where.apply(_query, arguments);

			return this;
		}
	}, {
		key: 'orderBy',
		value: function orderBy() {
			this.query = this.query.orderBy('created_at', 'desc');

			return this;
		}
	}, {
		key: 'get',
		value: function get() {
			var _this = this;

			return new Promise(function (resolve, reject) {
				_this.query.then(function (results) {
					resolve(results.map(function (result) {
						return new _this.Model(result);
					}));
				}).catch(reject);
			});
		}
	}, {
		key: 'first',
		value: function first() {
			var _this2 = this;

			return new Promise(function (resolve, reject) {
				_this2.query.then(function (results) {
					resolve(new _this2.Model(results[0]));
				}).catch(reject);
			});
		}
	}]);

	return Query;
}();

exports.default = Query;