'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _ = require('..');

var _2 = _interopRequireDefault(_);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var Repository = function () {
	function Repository(user) {
		_classCallCheck(this, Repository);

		var Model = _2.default.config.get('auth.model');
		this.user = new Model(user);
	}

	_createClass(Repository, [{
		key: 'getModel',
		value: function getModel() {}
	}, {
		key: 'instance',
		value: function instance(props) {
			var Model = this.getModel();

			return new Model(props);
		}
	}, {
		key: 'all',
		value: function all() {
			return this.getModel().all();
		}
	}, {
		key: 'paginate',
		value: function paginate() {
			// if(acl.cannot(`read.${this.getModel().name}`)){
			// 	throw new AuthorizationError()
			// }

			return this.getModel().paginate();
		}
	}, {
		key: 'find',
		value: function find(id) {
			// if(acl.cannot(`read.${this.getModel().name}`)){
			// 	throw new AuthorizationError()
			// }

			return this.getModel().find(id);
		}
	}, {
		key: 'create',
		value: function create(data) {
			// if(acl.cannot(`create.${this.getModel().name}`)){
			// 	throw new AuthorizationError()
			// }

			return this.getModel().create(data);
		}
	}, {
		key: 'update',
		value: function update(id, data) {
			// if(acl.cannot(`update.${this.getModel().name}`)){
			// 	throw new AuthorizationError()
			// }

			return this.getModel().create(id, data);
		}
	}, {
		key: 'destroy',
		value: function destroy(ids) {
			// if(acl.cannot(`destroy.${this.getModel().name}`)){
			// 	throw new AuthorizationError()
			// }

			return this.getModel().destroy(ids);
		}
	}]);

	return Repository;
}();

exports.default = Repository;