'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _knex = require('knex');

var _knex2 = _interopRequireDefault(_knex);

var _config = require('../config');

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (0, _knex2.default)({
	client: _config2.default.get('database.client'),
	debug: _config2.default.get('database.debug'),
	connection: {
		host: _config2.default.get('database.host'),
		user: _config2.default.get('database.user'),
		password: _config2.default.get('database.password'),
		database: _config2.default.get('database.database'),
		charset: _config2.default.get('database.charset', 'utf8')
	}
});