'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

exports.default = function (req, res, next) {
	var headersSent = void 0,
	    start = Date.now();

	res.on('header', function () {
		headersSent = Date.now() - start;
	});

	res.on('finish', function () {
		var duration = Date.now() - start;
		debug('request finished', duration);
	});

	next();
};