'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _socket = require('socket.io-client');

var _socket2 = _interopRequireDefault(_socket);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

/**
 * Socket Class (client-side)
 *
 * @constructor
 */

var Socket = function () {
	function Socket() {
		_classCallCheck(this, Socket);

		this.io = (0, _socket2.default)('http://localhost');

		this.io.on('connect', this._handleConnect.bind(this));
		this.io.on('event', this._handleEvent.bind(this));
		this.io.on('disconnect', this._handleDisconnect.bind(this));
	}

	_createClass(Socket, [{
		key: '_handleConnect',
		value: function _handleConnect() {}
	}, {
		key: '_handleEvent',
		value: function _handleEvent(data) {}
	}, {
		key: '_handleDisconnect',
		value: function _handleDisconnect() {}
	}]);

	return Socket;
}();

exports.default = new Socket();