'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.reload = exports.browserSync = exports.nodemon = exports.stylus = exports.schema = exports.release = exports.mocha = exports.clean = exports.browserify = exports.babel = undefined;

var _nodemon = require('./nodemon');

Object.defineProperty(exports, 'nodemon', {
	enumerable: true,
	get: function get() {
		return _nodemon.nodemon;
	}
});
Object.defineProperty(exports, 'browserSync', {
	enumerable: true,
	get: function get() {
		return _nodemon.browserSync;
	}
});
Object.defineProperty(exports, 'reload', {
	enumerable: true,
	get: function get() {
		return _nodemon.reload;
	}
});

var _babel2 = require('./babel');

var _babel3 = _interopRequireDefault(_babel2);

var _browserify2 = require('./browserify');

var _browserify3 = _interopRequireDefault(_browserify2);

var _clean2 = require('./clean');

var _clean3 = _interopRequireDefault(_clean2);

var _mocha2 = require('./mocha');

var _mocha3 = _interopRequireDefault(_mocha2);

var _release2 = require('./release');

var _release3 = _interopRequireDefault(_release2);

var _schema2 = require('./schema');

var _schema3 = _interopRequireDefault(_schema2);

var _stylus2 = require('./stylus');

var _stylus3 = _interopRequireDefault(_stylus2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.babel = _babel3.default;
exports.browserify = _browserify3.default;
exports.clean = _clean3.default;
exports.mocha = _mocha3.default;
exports.release = _release3.default;
exports.schema = _schema3.default;
exports.stylus = _stylus3.default;