'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.reload = reload;
exports.browserSync = browserSync;
exports.nodemon = nodemon;

var _config = require('../config');

var _config2 = _interopRequireDefault(_config);

var _gulp = require('gulp');

var _gulp2 = _interopRequireDefault(_gulp);

var _gulpNodemon = require('gulp-nodemon');

var _gulpNodemon2 = _interopRequireDefault(_gulpNodemon);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _browserSync = require('browser-sync');

var _browserSync2 = _interopRequireDefault(_browserSync);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _config$get = _config2.default.get('paths');

var src = _config$get.src;
var dest = _config$get.dest;

var _config$get2 = _config2.default.get('app');

var port = _config$get2.port;
function reload() {
	_browserSync2.default.reload();
}

function browserSync() {
	_browserSync2.default.init({
		proxy: 'http://localhost:' + port,
		port: 4000,
		browser: ['google-chrome']
	});
}

function nodemon() {
	var started = false;

	return (0, _gulpNodemon2.default)({
		script: _path2.default.join(dest, 'bin', 'www.js'),
		watch: [_path2.default.join(dest, 'bin', 'www.js')]
	}).on('start', function () {
		console.log('starting');

		if (!started) {
			cb();
		}

		started = true;
	}).on('restart', function () {
		console.log('restarted!');

		setTimeout(function reload() {
			_browserSync2.default.reload({
				stream: false
			});
		}, 500);
	});
}