'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = schema;

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _config = require('../config');

var _config2 = _interopRequireDefault(_config);

var _gulp = require('gulp');

var _gulp2 = _interopRequireDefault(_gulp);

var _gulpUtil = require('gulp-util');

var _gulpUtil2 = _interopRequireDefault(_gulpUtil);

var _gulpGraphql = require('gulp-graphql');

var _gulpGraphql2 = _interopRequireDefault(_gulpGraphql);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _config$get = _config2.default.get('schema');

var src = _config$get.src;
var dest = _config$get.dest;
var opts = _config$get.opts;


var OPTS = _lodash2.default.assign({}, {
	graphqlPath: _path2.default.resolve(__dirname, '..', '..', 'node_modules', 'graphql')
}, opts);

function schema() {
	return _gulp2.default.src(src).pipe((0, _gulpGraphql2.default)(OPTS)).on('error', _gulpUtil2.default.log).pipe(_gulp2.default.dest(dest));
}